We would love to have you as a contributor to NTVS!  

## Contributing Issues
When creating new issues in the issue tracker, please follow these guidelines:

- Use a descriptive title that identifies the issue to be addressed or the requested feature (e.g., "Feature F should report ABC when XYZ is used in DEF").
- Provide a detailed description of the issue or request feature.
- For bug reports, please also:
	- Describe the expected behavior and the actual behavior.
	- Provide example code or steps that reproduce the issue.
	- Specify any relevant exception messages and stack traces.
- Subscribe to notifications for the created issue in case there are any follow-up questions.


## Submitting a Pull Request
In order to help us improve code quality and make NTVS better in general, here are some simple guidelines for pull requests:

- Clearly state what the pull request accomplishes.
    - If it's a bug fix, what was the bug and how has it been fixed?
    - If you're adding a new feature, explain the feature and its use cases.
- Provide a high level explanation of your changes. This will help reviewers understand implementation choices and will speed up the review process.
    - Try to keep pull requests small and focused.
- [Run our tests][running-tests] to ensure existing tests continue to pass.
- All new code must include tests.
    - For a bug fix, consider adding a test that would fail before your change, but passes now.
    - Feel free to ask for advice if you are unsure how what to test or how to integrate into [our test infrastructure][running-tests].
- There is no formal code style-guide, but please try to match the style of any file you are editing.

All pull requests are reviewed by one of the project maintainers before being merged in. If you are unsure of anything, feel free to ask. We're always happy to help.

### Licensing and Legal
Node.js Tools for Visual Studio is a member of [Microsoft](http://microsoft.github.io/) and operates under the [Apache 2.0 license](https://github.com/Microsoft/nodejstools/blob/master/LICENSE). 

> ❗ ️️**Important:** You must sign the [Microsoft Contributor License Agreement (CLA)][cla] before submitting your pull-request. This only takes a minute or two and can be completed entirely online. All you need to do is [submit a request via an online form][cla] and electronically sign the CLA when you receive the email with document link. The CLA only needs to be completed once, and covers all Microsoft open source software projects.

All contributions will be made under the Apache 2.0 license. Please don’t submit anything with any other licensing statements. If you want to make a contribution that includes code that under a different license, please let us know so we can figure out what to do. Also, make sure you have the right to make your contribution, including clearance from your employer if applicable.


[cla]: https://cla.microsoft.com/
[running-tests]: https://github.com/Microsoft/nodejstools/wiki/Running-Our-Tests
